clearNames {nls} | R Documentation

## Remove the Names from an Object

### Description

This function sets the `names` attribute of `object` to `NULL` and returns the object.

### Usage

    clearNames(object)

### Arguments

`object` | an object that may have a `names` attribute

### Value

An object similar to `object` but without names.

### Author(s)

Douglas Bates and Saikat DebRoy

### See Also

`setNames`

### Examples

    data( women )
    lapply( women, mean )               # has a names attribute
    clearNames( lapply( women, mean ) ) # removes the names

[Package Contents]